Agora RTC Objective-C API Reference Refactor

Data Fields
RemoteAudioTrackStats Struct Reference

## Data Fields
uid_t | uid
int | quality
int | network_transport_delay
uint32_t | jitter_buffer_delay
int | audio_loss_rate
int | num_channels
int | received_sample_rate
int | received_bitrate
int | total_frozen_time
int | frozen_rate
int64_t | received_bytes
int | mean_waiting_time
size_t | expanded_speech_samples
size_t | expanded_noise_samples
uint32_t | timestamps_since_last_report
uint16_t | min_sequence_number
uint16_t | max_sequence_number
int32_t | audio_level
uint32_t | downlink_process_time_ms
uint32_t | packet_expired_loss
uint32_t | packet_max_expired_ms
uint32_t | burst_peak_num
uint32_t | burst_jitter
uint32_t | target_level_base_ms
uint32_t | target_level_prefered_ms
uint16_t | accelerate_rate
uint16_t | preemptive_expand_rate
uint16_t | frozen_count_80_ms
uint16_t | frozen_time_80_ms
uint16_t | frozen_count_200_ms
uint16_t | frozen_time_200_ms
uint16_t | frozen_count_by_custom
uint16_t | frozen_time_ms_by_custom
uint16_t | full_frozen_time_80_ms
uint16_t | full_frozen_time_200_ms
uint32_t | delay_estimate_ms
uint32_t | mos_value
uint32_t | frozen_rate_by_custom_plc_count
uint32_t | plc_count
int32_t | fec_decode_ms
uint16_t | frozen_count_10_ms
uint64_t | total_active_time
uint64_t | publish_duration
int32_t | new_e2e_delay_ms
int | qoe_quality
int32_t | quality_changed_reason
int32_t | downlink_effect_type

## Detailed Description

The statistics of a remote audio track.

## Constructor & Destructor Documentation

## ◆ RemoteAudioTrackStats()

RemoteAudioTrackStats | ( |  | ) |
| inline

## Field Documentation

## ◆ uid

uid_t uid

The user ID of the remote user who sends the audio track.

## ◆ quality

int quality

The audio quality of the remote audio track: QUALITY_TYPE.

## ◆ network_transport_delay

int network_transport_delay

The network delay (ms) from the sender to the receiver.

## ◆ jitter_buffer_delay

uint32_t jitter_buffer_delay

The delay (ms) from the receiver to the jitter buffer.

## ◆ audio_loss_rate

int audio_loss_rate

The audio frame loss rate in the reported interval.

## ◆ num_channels

int num_channels

The number of audio channels.

## ◆ received_sample_rate

int received_sample_rate

The sample rate (Hz) of the received audio track in the reported interval.

## ◆ received_bitrate

int received_bitrate

The average bitrate (Kbps) of the received audio track in the reported interval.

## ◆ total_frozen_time

int total_frozen_time

The total freeze time (ms) of the remote audio track after the remote user joins the channel. In a session, audio freeze occurs when the audio frame loss rate reaches 4%. The total audio freeze time = The audio freeze number × 2 seconds.

## ◆ frozen_rate

int frozen_rate

The total audio freeze time as a percentage (%) of the total time when the audio is available.

## ◆ received_bytes

int64_t received_bytes

The number of audio bytes received.

## ◆ mean_waiting_time

int mean_waiting_time

The average packet waiting time (ms) in the jitter buffer.

## ◆ expanded_speech_samples

size_t expanded_speech_samples

The samples of expanded speech.

## ◆ expanded_noise_samples

size_t expanded_noise_samples

The samples of expanded noise.

## ◆ timestamps_since_last_report

uint32_t timestamps_since_last_report

The timestamps since last report.

## ◆ min_sequence_number

uint16_t min_sequence_number

The minimum sequence number.

## ◆ max_sequence_number

uint16_t max_sequence_number

The maximum sequence number.

## ◆ audio_level

int32_t audio_level

The audio energy.

## ◆ downlink_process_time_ms

uint32_t downlink_process_time_ms

audio downlink average process time

## ◆ packet_expired_loss

uint32_t packet_expired_loss

audio neteq loss because of expired

## ◆ packet_max_expired_ms

uint32_t packet_max_expired_ms

audio neteq packet arrival expired time ms

## ◆ burst_peak_num

uint32_t burst_peak_num

audio neteq jitter peak num in two second

## ◆ burst_jitter

uint32_t burst_jitter

audio neteq jitter calc by burst opti feature

## ◆ target_level_base_ms

uint32_t target_level_base_ms

audio base target level

## ◆ target_level_prefered_ms

uint32_t target_level_prefered_ms

audio average target level

## ◆ accelerate_rate

uint16_t accelerate_rate

audio average accelerate ratio in 2s

## ◆ preemptive_expand_rate

uint16_t preemptive_expand_rate

audio average preemptive expand ratio in 2s

## ◆ frozen_count_80_ms

uint16_t frozen_count_80_ms

The count of 80 ms frozen in 2 seconds

## ◆ frozen_time_80_ms

uint16_t frozen_time_80_ms

The time of 80 ms frozen in 2 seconds

## ◆ frozen_count_200_ms

uint16_t frozen_count_200_ms

The count of 200 ms frozen in 2 seconds

## ◆ frozen_time_200_ms

uint16_t frozen_time_200_ms

The time of 200 ms frozen in 2 seconds

## ◆ frozen_count_by_custom

uint16_t frozen_count_by_custom

The count of frozen in 2 seconds

## ◆ frozen_time_ms_by_custom

uint16_t frozen_time_ms_by_custom

The time of frozen in 2 seconds

## ◆ full_frozen_time_80_ms

uint16_t full_frozen_time_80_ms

The full time of 80 ms frozen in 2 seconds

## ◆ full_frozen_time_200_ms

uint16_t full_frozen_time_200_ms

The full time of 200 ms frozen in 2 seconds

## ◆ delay_estimate_ms

uint32_t delay_estimate_ms

The estimate delay

## ◆ mos_value

uint32_t mos_value

The MOS value

## ◆ frozen_rate_by_custom_plc_count

uint32_t frozen_rate_by_custom_plc_count

If the packet loss concealment (PLC) occurs for N consecutive times, freeze is considered as PLC occurring for M consecutive times. freeze cnt = (n_plc - n) / m

## ◆ plc_count

uint32_t plc_count

The number of audio packet loss concealment

## ◆ fec_decode_ms

int32_t fec_decode_ms

Duration of inbandfec

## ◆ frozen_count_10_ms

uint16_t frozen_count_10_ms

The count of 10 ms frozen in 2 seconds

## ◆ total_active_time

uint64_t total_active_time

The total time (ms) when the remote user neither stops sending the audio stream nor disables the audio module after joining the channel.

## ◆ publish_duration

uint64_t publish_duration

The total publish duration (ms) of the remote audio stream.

## ◆ e2e_delay_ms

int32_t e2e_delay_ms

## ◆ new_e2e_delay_ms

int32_t new_e2e_delay_ms

e2e_delay_ calculated by the new algorithm

## ◆ qoe_quality

int qoe_quality

Quality of experience (QoE) of the local user when receiving a remote audio stream. See EXPERIENCE_QUALITY_TYPE.

## ◆ quality_changed_reason

int32_t quality_changed_reason

The reason for poor QoE of the local user when receiving a remote audio stream. See EXPERIENCE_POOR_REASON.

## ◆ downlink_effect_type

int32_t downlink_effect_type

The type of downlink audio effect.